
export default {
  install(Vue: any) {
    Vue.prototype.$util = {
      SHOW_AMOUNT: showAmount
    }
  }
}

/**
 * 将输入的金额转换为可读的金额各式 xx,xxx.xx
 * @param amount 输入的金额
 * @returns 字符串模式，只可用为显示，不可用于计算
 */
function showAmount(amount: string | number): string {

  return '结果'
}


/**
 * 将输入的金额转换为可读的金额各式 xx,xxx.xx,如果结果大于1显示小数点后两位，如果结果小于1，显示小数点后八位
 * @param amount 输入的金额
 * @returns 字符串模式，只可用为显示，不可用于计算
 */
function showChainAmount(amount: string | number): string {

  return '结果'
}



/**
 * 列表数据格式转换[{},{},{},{}] => [[{},{}],[{},{}]]
 * @param data 原数据组
 * @param rowNum 每个小组中的数量
 * @returns Array
 */
 function formArray(data: any[], rowNum: number): any[] {
  const list: any[] = [];
  let count = 0;
  let tempList: any[] = [];
  data.forEach((item, index) => {
      count++;
      if (count <= rowNum) {
          tempList.push(item)
      }
      if (count === rowNum) {
          list.push(tempList)
          tempList = []
          count = 0;
      }
  })
  if (tempList.length !== 0) {
      list.push(tempList)
  }
  return list;
}

